---
title: "gce/ERR/2021_001"
linkTitle: "ERR/2021_001"
weight: 1
type: docs
description: >
  Managed instance groups are not reporting scaleup failures.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

The managed instance group autoscaler will report via Cloud Logging any scale up
failures, and the logs can help you determine why a scale up didn't succeed.

### Remediation

You can use the following Cloud Logging query to find matching log entries:

```
resource.type="gce_instance"
log_id(cloudaudit.googleapis.com/activity)
severity=ERROR
protoPayload.methodName="v1.compute.instances.insert"
protoPayload.requestMetadata.callerSuppliedUserAgent="GCE Managed Instance Group"
```

### Further information

- [Autoscaling groups of instances](https://cloud.google.com/compute/docs/autoscaler)
