---
title: "gke/ERR/2021_004"
linkTitle: "ERR/2021_004"
weight: 1
type: docs
description: >
  GKE nodes aren't reporting connection issues to apiserver.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

GKE nodes need to connect to the control plane to register and to report status
regularly. If connection errors are found in the logs, possibly there is a
connectivity issue, like a firewall rule blocking access.

### Remediation

You can use the following filter to find matching log lines:

```
resource.type="k8s_node"
log_id("kubelet")
jsonPayload.MESSAGE:"Failed to connect to apiserver"
```

### Further information

- [GKE
  Troubleshooting](https://cloud.google.com/kubernetes-engine/docs/troubleshooting)
